Subject: [Dime] FW: David Harrington's Discuss on draft-ietf-dime-priority-avps-05: (withDISCUSS and COMMENT)

From: "Romascanu, Dan (Dan)" <[email-masked]>
Date: Wed, 30 Nov 2011 22:51:08 +0100

Document editors and shepherd,

Please address the issues raised by David in his DISCUSS. 

Thanks and Regards,

Dan

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of David Harrington
Sent: Wednesday, November 30, 2011 8:04 PM
To: The IESG
Cc: [email-masked]; [email-masked]
Subject: David Harrington's Discuss on draft-ietf-dime-priority-avps-05: (withDISCUSS and COMMENT)

David Harrington has entered the following ballot position for
draft-ietf-dime-priority-avps-05: Discuss

When responding, please keep the subject line intact and reply to all
email addresses included in the To and CC lines. (Feel free to cut this
introductory paragraph, however.)

Please refer to http://www.ietf.org/iesg/statement/discuss-criteria.html
for more information about IESG DISCUSS and COMMENT positions.

----------------------------------------------------------------------
DISCUSS:
----------------------------------------------------------------------

1) The Introduction says "The influence attributed to prioritization may also affect QoS, but it
   is not to be confused with QoS." but section 4 records this in the IANA QoS Profile registry, and section 5 says this documents describes an extension for conveying QoS information. Doesn't this confuse prioritization with QoS?

2) I am unclear on the relation between 3GPP-defined AVPs and the AVPs defined here. The last paragraph of 1.1 says the 3GPP work is not relevant to the current document; then why mention it? I think it is relevant in that it impacts prioritization, but the 3GPP prioritization is limited to within a walled garden. You don't say so, but I assume this means the AVPs defined in this document do NOT operate in a walled garden. Do the ETSI AVPs also operate in a walled garden? I suggest that this should be made clearer by specifying more clearly the intended scope of the ETSI, 3GPP, and IETF AVPs.

3) I think an important missing element here is the impact these different scopes have on operational considerations. What does an operator need to know about the prioritization caused by these AVPs from different SDOs, and how do they interact if multiple types of prioritization is present? Which ones take precedence, assuming comparable values of prioritization?

4) The 3GPP is supposed to be for use in a walled garden; what happens if it "escapes into the wild"? Is there anything an operator can/should do to make sure this doesn't happen, such as configuring a firewall to prevent the AVPs from crossing network boundaries?

5) prioritization might affect QoS. What sort of operational impact might this have, if some traffic prioritized by, for example, a diffserv codepoint is overridden by an AVP? Are there certain types of traffic that operators should make sure AVPs do not override the protocol-defined QoS?

6) What is the persistence of these AVP settings? Do these AVPs only affect the current session, and the AVP-driven prioritization is removed when the authorized session ends, or does the AVP-driven prioritization continue after the current session closes?

7) in 3.1, passive vocie is used to state "Defending-priority is set when the reservation has been admitted." That is a bit ambiguous to me. Do I understand correctly that the defending-priority AVP is **set** by the client in the request message  before admission, but the prioritization is only **set** by the NAS in its internal enforcement calculations when the session is admitted? Can the text clarify who the actors are, and when and what each of them sets?

8) in 3.1.1, "value that would be encoded in the signaled ... element." encoded in what message?
where is this policy element encoded? Can you provide a reference?

9) in 3.2, "The admission priority of the flow is used to increase the probability of
   session establishment for selected flows." I don't understand the relationship between "the flow" and "selected flows", and the relationship between these flows and AAA sessions. Is "the flow" the AAA-authorized session flow? Are the "selected flows" in the same authorized session? or does this AVP afffect flows in other AAA-sessions? Is the admission priority of the flow refering to the admission-prioirty-AVP, or the admission-priority parameter that the AVP models? 

----------------------------------------------------------------------
COMMENT:
----------------------------------------------------------------------

1) I agree with other comments about the confusion surrouding integrity-protected values.

2) The second paragraph of section 5 says "Use .. MUST take into consideration ..." I think this is an incorrect usage for MUST; MUST is for implementers. (Since an operator might choose to NOT consider the issues and security of Diameter base, this document should warn users what vulnerabilities might exist in their network if another operator ignores these issues.)

3) In acknowledgements, you credit a number of people with resolving the "problems", but don't mention what problems those were.